<html>
<head>
	<title>{$meta_title}</title>
	<meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=no">
	<style>
		html,
		body{
			height: 100%;
		}
		body{
			font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
			margin: 0;
			padding: 0;
			display: flex;
			align-items: center;
			justify-content: center;
			color: {$snackyConfig.css_defaulttext};
		}
		h1{
			color: {$snackyConfig.css_darktext};
			margin: 0 0 .75rem 0;
			font-size: 25px;
		}
		p{
			margin: 0;
		}
		svg{
			width: 100%;
		}
		.svg-logo{
			max-width: 200px;
			display: flex;
			align-items: center;
			justify-content: center;
			font-size: 0;
			color: transaprent;
			text-indent: -999rem;
			margin: auto;
		}
		#offlinebox{
			max-width: 600px;
			text-align: center;
			border-radius: .3rem;
			font-size: 1.1rem;
			padding: 20px;
		}
		.text-block{
			margin: 30px 0 30px 0;
		}
		.refresh{
			background: red;
			display: inline-flex;
			margin: auto;
			background: {$snackyConfig.css_brand}; 
			{$snackyConfig.css_gradientbrand}
			color: #fff;
			cursor: pointer;
			font-weight: 600;
			padding: 10px 20px;
			border-radius: 8rem;
			transition: .3s ease;
			align-items: center;
			justify-content: center;
			min-width: 150px;
		}
		.refresh:hover{
			box-shadow: 0 0 30px 0 rgba(0,0,0,.25)
		}
		.image{
			width: 20px;
			margin-right: 8px;
		}
	</style>
</head>
<body>
	
	<div id="offlinebox">
		{if !empty($snackyConfig.svgLogo)}
		<div class="svg-logo">
			{block name="logo"}
			<span itemprop="name" class="hidden">{$meta_publisher}</span>
			<meta itemprop="url" content="{$ShopURL}">
			<meta itemprop="logo" content="{$ShopLogoURL}">
			<a href="{$ShopURL}" title="{$Einstellungen.global.global_shopname}" class="loaded{if !empty($snackyConfig.mobileLogo)} hidden-xs{/if}">
				{if !empty($snackyConfig.svgLogo)}
					<img src="{$snackyConfig.svgLogo}" alt="{$Einstellungen.global.global_shopname}">
				{else}
					{if isset($ShopLogoURL)}
						{image src=$ShopLogoURL alt=$Einstellungen.global.global_shopname class="img-responsive"}
					{else}
						<span class="h2 m0 dpflex-a-center dpflex-j-c">{$Einstellungen.global.global_shopname}</span>
					{/if}
				{/if}
			</a>
			{if !empty($snackyConfig.mobileLogo)}
				<a href="{$ShopURL}" title="{$Einstellungen.global.global_shopname}" class="loaded visible-xs">
					<img src="{$snackyConfig.mobileLogo}" alt="{$Einstellungen.global.global_shopname}">
				</a>
			{/if}
			{/block}
		</div>
		{/if}
		<div class="text-block">
		<h1>{lang key="offlineTitle" section="custom"}</h1>
		<p>
			{lang key="offlineText" section="custom"}
		</p>
		</div>
		<span class="refresh" onClick="history.go(0);">
			<span class="image">
				<svg fill="#ffffff" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" version="1.1" baseProfile="tiny" x="0px" y="0px" viewBox="0 0 100 100" xml:space="preserve"><g><path fill-rule="evenodd" fill="#ffffff" d="M62,43h26V17l-8.956,8.995c-0.679-0.792-1.419-1.565-2.158-2.317   C61.946,8.822,37.84,8.924,23.044,23.904C8.229,38.884,8.332,63.071,23.272,77.925C38.194,92.779,62.3,92.678,77.113,77.697   c0,0,4.948-5.866,6.586-8.996l-8.229-3.626c-1.204,2.132-4.728,6.284-4.728,6.284C59.414,82.825,40.996,82.902,29.59,71.532   c-11.425-11.346-11.503-29.846-0.174-41.289c11.309-11.466,29.728-11.544,41.153-0.174c0.759,0.751,1.457,1.545,2.117,2.358L62,43z   "></path></g></svg>
			</span>
			{lang key="offlineButton" section="custom"}
		</span>
	{*<pre hidden>
		Config:
		{$snackyConfig|@print_r}
	</pre>*}
	</div>
</body>
</html>